Bug 871929 - add keywords to desktop files
add keywords to desktop files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-31 14:08 EDT by Matthias Clasen
Modified: 2012-11-08 09:49 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.6.3.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 01:33:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2012-10-31 14:08:15 EDT
This makes gnome-shell search much more satisfying.

See this upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=47157
which links to a master commit. Would be nice to get that in f18
Comment 1 Caolan McNamara 2012-10-31 16:54:41 EDT
caolanm->dtardon: looks trivial, can you take care of backporting to rawhide+F18

caolanm->mclasen: Does gnome-shell additionally parse the mimetype fields for keywords ? e.g. splitting up application/vnd.bar-FOO to make FOO a keyword ? That might be useful.
Comment 2 Matthias Clasen 2012-10-31 17:45:52 EDT
No, gnome-shell looks at the following fields for matches:

Name
executable
GenericName (very recent addition)
Keywords
Comment 3 Fedora Update System 2012-11-08 09:49:31 EST
libreoffice-3.6.3.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.3.2-6.fc18

Note You need to log in before you can comment on or make changes to this bug.